Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DropTargetDropEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.dnd.DropTargetEvent
                  |
                  +--java.awt.dnd.DropTargetDropEvent

All Implemented Interfaces:
  Serializable

public class DropTargetDropEvent
extends DropTargetEvent

The `DropTargetDropEvent` is delivered via the `DropTargetListener` drop() method.

Since:
  1.2
See Also:
  Serialized Form

Fields inherited from class java.awt.dnd.DropTargetEvent
`context`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DropTargetDropEvent(DropTargetContext dtc, Point cursorLocn, int dropAction, int srcActions)` Construct a `DropTargetDropEvent` given the `DropTargetContext` for this operation, the location of the drag `Cursor`'s hotspot in the `Component`'s coordinates, the currently selected user drop action, and the current set of actions supported by the source.
`DropTargetDropEvent(DropTargetContext dtc, Point cursorLocn, int dropAction, int srcActions, boolean isLocal)` Construct a `DropTargetEvent` given the `DropTargetContext` for this operation, the location of the drag `Cursor`'s hotspot in the `Component`'s coordinates, the currently selected user drop action, the current set of actions supported by the source, and a `boolean` indicating if the source is in the same JVM as the target.

Method Summary
`void` | `acceptDrop(int dropAction)` accept the drop, using the specified action.
`void` | `dropComplete(boolean success)` This method notifies the `DragSource` that the drop transfer(s) are completed.
`DataFlavor[]` | `getCurrentDataFlavors()` This method returns the current DataFlavors.
`List` | `getCurrentDataFlavorsAsList()` This method returns the currently available `DataFlavor`s as a `java.util.List`.
`int` | `getDropAction()` This method returns an `int` representing the action(s) supported by the source at the time of the drop.
`Point` | `getLocation()` This method returns a `Point` indicating the `Cursor`'s current location in the `Component`'s coordinates.
`int` | `getSourceActions()` This method returns an `int` representing the action(s) supported by the source.
`Transferable` | `getTransferable()` This method returns the `Transferable` object associated with the drop.
`boolean` | `isDataFlavorSupported(DataFlavor df)` This method returns a `boolean` indicating if the specified `DataFlavor` is available from the source.
`boolean` | `isLocalTransfer()` This method returns an `int` indicating if the source is in the same JVM as the target.
`void` | `rejectDrop()` reject the Drop.

Methods inherited from class java.awt.dnd.DropTargetEvent
`getDropTargetContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropTargetDropEvent

    public DropTargetDropEvent(DropTargetContext dtc,
                               Point cursorLocn,
                               int dropAction,
                               int srcActions)

  Construct a `DropTargetDropEvent` given the `DropTargetContext` for this operation, the location of the drag `Cursor`'s hotspot in the `Component`'s coordinates, the currently selected user drop action, and the current set of actions supported by the source. By default, this constructor assumes that the target is not in the same virtual machine as the source; that is, `isLocalTransfer()` will return `false`.

  Parameters:
    `dtc` - The `DropTargetContext` for this operation
    `cursorLocn` - The location of the "Drag" Cursor's hotspot in `Component` coordinates
    `dropAction` - The currently selected user drop action: COPY, MOVE, or LINK constants found in DnDConstants.
    `srcActions` - The current set of actions supported by the source: some combination of COPY, MOVE, or LINK as exposed by the `DragSource`.

  Throws:
    ``NullPointerException`` - if cursorLocn is `null`
    ``IllegalArgumentException`` - if the dropAction or srcActions are illegal values, or if dtc is `null`.

### DropTargetDropEvent

    public DropTargetDropEvent(DropTargetContext dtc,
                               Point cursorLocn,
                               int dropAction,
                               int srcActions,
                               boolean isLocal)

  Construct a `DropTargetEvent` given the `DropTargetContext` for this operation, the location of the drag `Cursor`'s hotspot in the `Component`'s coordinates, the currently selected user drop action, the current set of actions supported by the source, and a `boolean` indicating if the source is in the same JVM as the target.

  Parameters:
    `dtc` - The DropTargetContext for this operation
    `cursorLocn` - The location of the "Drag" Cursor's hotspot in Component's coordinates
    `dropAction` - The currently selected user drop action: COPY, MOVE, or LINK constants found in DnDConstants.
    `srcActions` - The current set of actions supported by the source: some combination of COPY, MOVE, or LINK as exposed by the `DragSource`.
    `isLocalTx` - True if the source is in the same JVM as the target

Method Detail

### getLocation

    public Point getLocation()

  This method returns a `Point` indicating the `Cursor`'s current location in the `Component`'s coordinates.

  Returns:
    the current `Cursor` location in Component's coords.

### getCurrentDataFlavors

    public DataFlavor[] getCurrentDataFlavors()

  This method returns the current DataFlavors.

  Returns:
    current DataFlavors

### getCurrentDataFlavorsAsList

    public List getCurrentDataFlavorsAsList()

  This method returns the currently available `DataFlavor`s as a `java.util.List`.

  Returns:
    the currently available DataFlavors as a java.util.List

### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor df)

  This method returns a `boolean` indicating if the specified `DataFlavor` is available from the source.

  Parameters:
    `df` - the `DataFlavor` to test

  Returns:
    if the DataFlavor specified is available from the source

### getSourceActions

    public int getSourceActions()

  This method returns an `int` representing the action(s) supported by the source.

  Returns:
    source actions

### getDropAction

    public int getDropAction()

  This method returns an `int` representing the action(s) supported by the source at the time of the drop.

  Returns:
    source actions

### getTransferable

    public Transferable getTransferable()

  This method returns the `Transferable` object associated with the drop.

  Returns:
    the `Transferable` associated with the drop

### acceptDrop

    public void acceptDrop(int dropAction)

  accept the drop, using the specified action.

  Parameters:
    `dropAction` - the specified action

### rejectDrop

    public void rejectDrop()

  reject the Drop.

### dropComplete

    public void dropComplete(boolean success)

  This method notifies the `DragSource` that the drop transfer(s) are completed.

  Parameters:
    `success` - a `boolean` indicating that the drop transfer(s) are completed.

### isLocalTransfer

    public boolean isLocalTransfer()

  This method returns an `int` indicating if the source is in the same JVM as the target.

  Returns:
    if the Source is in the same JVM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.